
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

Add pcibios_select_root to MIPS.

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Cc: Ralf Baechle <ralf@linux-mips.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-mips/pci.h |   13 +++++++++++++
 1 files changed, 13 insertions(+)

diff -puN include/asm-mips/pci.h~mips-add-pcibios_select_root include/asm-mips/pci.h
--- devel/include/asm-mips/pci.h~mips-add-pcibios_select_root	2005-08-19 12:16:14.000000000 -0700
+++ devel-akpm/include/asm-mips/pci.h	2005-08-19 12:16:14.000000000 -0700
@@ -167,4 +167,17 @@ static inline void pcibios_add_platform_
 /* Do platform specific device initialization at pci_enable_device() time */
 extern int pcibios_plat_dev_init(struct pci_dev *dev);
 
+static inline struct resource *
+pcibios_select_root(struct pci_dev *pdev, struct resource *res)
+{
+	struct resource *root = NULL;
+
+	if (res->flags & IORESOURCE_IO)
+		root = &ioport_resource;
+	if (res->flags & IORESOURCE_MEM)
+		root = &iomem_resource;
+
+	return root;
+}
+
 #endif /* _ASM_PCI_H */
_
